--- old/usr/src/lib/Makefile	Wed Oct  5 00:33:14 2016
+++ new/usr/src/lib/Makefile	Wed Oct  5 00:33:14 2016
@@ -22,12 +22,11 @@
 #
 # Copyright (c) 1989, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2012 by Delphix. All rights reserved.
-# Copyright 2015, Joyent, Inc.
+# Copyright (c) 2012, Joyent, Inc. All rights reserved.
 # Copyright (c) 2013 Gary Mills
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright (c) 2015 Gary Mills
 # Copyright 2015 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2016 Toomas Soome <tsoome@me.com>
 #
 
 include ../Makefile.master
@@ -92,7 +91,6 @@
 	libbrand	\
 	libbsdmalloc	\
 	libbsm		\
-	libbunyan	\
 	libc_db		\
 	libcfgadm	\
 	libcmd		\
@@ -119,7 +117,6 @@
 	libdscfg	\
 	libdtrace	\
 	libdtrace_jni	\
-	libdwarf	\
 	libefi		\
 	libelfsign	\
 	libeti		\
@@ -127,7 +124,6 @@
 	libexacct/demo	\
 	libfakekernel	\
 	libfcoe		\
-	libficl		\
 	libfru		\
 	libfruutils	\
 	libfsmgt	\
@@ -137,7 +133,6 @@
 	libgss		\
 	libhotplug	\
 	libidmap	\
-	libidspace	\
 	libilb		\
 	libima		\
 	libinetsvc	\
@@ -185,11 +180,9 @@
 	libraidcfg	\
 	librcm		\
 	librdc		\
-	librename	\
 	libreparse	\
 	libresolv	\
 	libresolv2	\
-	libresolv2_joy	\
 	librestart	\
 	librpcsvc	\
 	librsm		\
@@ -207,7 +200,6 @@
 	libsip		\
 	libsldap	\
 	libslp		\
-	libsmartsshd	\
 	libsmbfs	\
 	libsmbios	\
 	libsmedia	\
@@ -231,7 +223,6 @@
 	libunistat	\
 	libuuid		\
 	libuutil	\
-	libvnd		\
 	libvolmgt	\
 	libvrrpadm	\
 	libvscan	\
@@ -242,7 +233,6 @@
 	libxcurses	\
 	libxcurses2	\
 	libxnet		\
-	libzdoor	\
 	libzfs		\
 	libzfs_core	\
 	libzfs_jni	\
@@ -250,6 +240,7 @@
 	libzoneinfo	\
 	libzonestat	\
 	libzpool	\
+	lvm		\
 	madv		\
 	mpapi		\
 	mpss		\
@@ -261,6 +252,9 @@
 	pkcs11		\
 	policykit	\
 	print		\
+	pylibbe		\
+	pysolaris	\
+	pyzfs		\
 	raidcfg_plugins	\
 	rpcsec_gss	\
 	sasl_plugins	\
@@ -270,7 +264,6 @@
 	sun_fc		\
 	sun_sas		\
 	udapl		\
-	varpd		\
 	watchmalloc	\
 	$($(MACH)_SUBDIRS)
 
@@ -297,7 +290,8 @@
 #
 NOWAIT_SUBDIRS= $(SUBDIRS:.WAIT=)
 
-DCSUBDIRS =
+DCSUBDIRS =		\
+	lvm
 
 MSGSUBDIRS=		\
 	abi		\
@@ -343,7 +337,6 @@
 	libshell	\
 	libsldap	\
 	libslp		\
-	libsmartsshd	\
 	libsmbfs	\
 	libsmedia	\
 	libsum		\
@@ -355,10 +348,11 @@
 	libwanbootutil	\
 	libzfs		\
 	libzonecfg	\
-	libzdoor	\
+	lvm		\
 	madv		\
 	mpss		\
 	pam_modules	\
+	pyzfs		\
 	rpcsec_gss	\
 	$($(MACH)_MSGSUBDIRS)
 
@@ -378,7 +372,6 @@
 	libast		\
 	libbrand	\
 	libbsm		\
-	libbunyan	\
 	libc		\
 	libcmd		\
 	libcmdutils	\
@@ -395,7 +388,6 @@
 	libdhcputil	\
 	libdisasm	\
 	libdiskmgt	\
-	libdwarf	\
 	libdladm	\
 	libdll		\
 	libdlpi		\
@@ -412,7 +404,6 @@
 	libgen		\
 	libgrubmgmt	\
 	libidmap	\
-	libidspace	\
 	libilb		\
 	libima		\
 	libinetsvc	\
@@ -448,7 +439,6 @@
 	libraidcfg	\
 	librcm		\
 	librdc		\
-	librename	\
 	libreparse	\
 	librestart	\
 	librpcsvc	\
@@ -482,7 +472,6 @@
 	libumem		\
 	libunistat	\
 	libuutil	\
-	libvnd		\
 	libvolmgt	\
 	libvrrpadm	\
 	libvscan	\
@@ -495,6 +484,7 @@
 	libzfs_jni	\
 	libzoneinfo	\
 	libzonestat	\
+	lvm		\
 	mpapi		\
 	passwdutil	\
 	pkcs11		\
@@ -588,16 +578,14 @@
 gss_mechs/mech_spnego: gss_mechs/mech_krb5
 krb5:		gss_mechs/mech_krb5 libtecla libldap5
 libadt_jni:	libbsm
-libadutils:	libldap5 libresolv2
-libbe:		libzfs libinstzones libuuid libgen libdevinfo libefi libficl
+libadutils: 	libldap5 libresolv2
+libbe: 		libzfs libinstzones libuuid libgen libdevinfo libefi
 libbsm:		libinetutil libscf libsecdb libtsol
-libbunyan:	libnvpair
 libcfgadm:	libdevinfo
-libcmd:		libsum libast
+libcmd: 	libsum libast
 libcmdutils:	libavl
 libcpc:		libpctx
 libcrypt:	libgen
-libctf:		libdwarf
 libdevid:	libdevinfo
 libdevinfo:	libsec libgen
 libdhcpagent:	libdhcputil libuuid libdlpi libcontract
@@ -605,7 +593,7 @@
 libdiskmgt:	libdevid libdevinfo libadm libefi libkstat libsysevent
 $(INTEL_BLD)libdiskmgt: libfdisk
 libdladm:	libdevinfo libinetutil libscf librcm libexacct libkstat \
-		libpool varpd
+		libpool
 libdll: 	libast
 libdlpi:	libinetutil libdladm
 libds:		libsysevent
@@ -618,13 +606,11 @@
 libexacct/demo:	libexacct libproject
 libfakekernel:	libumem libcryptoutil
 libfcoe:	libdladm
-libficl:	libumem
 libfru:		libfruutils
 libfsmgt:	libkstat
 libgrubmgmt:	libdevinfo libzfs libfstyp libefi
 $(INTEL_BLD)libgrubmgmt: libfdisk
 libidmap:	libavl libuutil
-libidspace:	libumem
 libinetsvc:	libscf
 libinstzones:	libzonecfg libcontract
 libipadm:	libinetutil libdlpi libdhcpagent libdladm libsecdb
@@ -659,7 +645,6 @@
 libshell:	libast libcmd libdll libsecdb
 libsip:		libmd5
 libsldap:	libldap5 libscf
-libsmartsshd:	libc libcontract
 libsmbfs:	libkrb5 libsec libidmap pkcs11
 libsrpt:	libstmf
 libstmf:	libscf
@@ -679,7 +664,6 @@
 libvrrpadm:	libdladm libscf
 libvscan:	libscf libsecdb
 libwanboot:	libresolv2 libdevinfo libinetutil libdhcputil
-libzdoor:	libc libzonecfg libcontract
 libzfs:		libdevid libgen libuutil libadm libavl libefi libidmap \
 		libumem libtsol libzfs_core
 libzfs_jni:	libdiskmgt libzfs
@@ -691,8 +675,7 @@
 madv:		libgen
 mpapi:		libpthread libdevinfo libsysevent
 mpss:		libgen
-nsswitch:	libadutils libidmap libdns_sd libscf libldap5 libsldap \
-		libresolv2_joy
+nsswitch:	libadutils libidmap libdns_sd libscf libldap5 libsldap
 pam_modules:	libproject passwdutil smbsrv libtsnet libpam libbsm libsecdb
 passwdutil:	libsldap
 pkcs11:		libcryptoutil libgen libuuid
@@ -712,8 +695,6 @@
 sun_fc:		libdevinfo libsysevent
 sun_sas:	libdevinfo libsysevent libkstat libdevid
 udapl:		libdevinfo libdladm
-varpd:		libavl libidspace libumem libnsl libnvpair libmd5 librename \
-		libbunyan libcmdutils
 
 #
 # The reason this rule checks for the existence of the
